Bug 73895 - Suddenly occured hang up while operating
Suddenly occured hang up while operating
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Stephen Tweedie
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-12 22:30 EDT by Seonghun, Lee
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-09 09:16:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This file include more system info and log message under /var/log (27.50 KB, text/plain)
2002-09-12 22:35 EDT, Seonghun, Lee
no flags Details

  None (edit)
Description Seonghun, Lee 2002-09-12 22:30:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
Suddenly occured hang up after below message

Sep 12 07:36:07 seoul2 kernel: Assertion failure in journal_commit_transaction()
 at commit.c:535: "buffer_jdirty(bh)"


Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. This Server is useing for apache web, dns with bind 9, and mail. 
2. We had been updated errata by rhnsd, but that could not apply about kernel.
3. 
	

Actual Results:  Suddenly occured hang up after messages

Additional info:

Model name : Compaq Proliant ML570
1. system info
  Cpu : Intel Xeon 700MHz * 2EA
  Memory :  1G
  Array Controller :  RAID 5  with Smart Array 5302/64  
  kernel : 2.4.18-3smp

2. log messages

Sep 12 07:36:07 seoul2 kernel: Assertion failure in journal_commit_transaction()
 at commit.c:535: "buffer_jdirty(bh)"
Sep 12 07:36:07 seoul2 kernel: ------------[ cut here ]------------
Sep 12 07:36:07 seoul2 kernel: kernel BUG at commit.c:535!
Sep 12 07:36:07 seoul2 kernel: invalid operand: 0000
Sep 12 07:36:07 seoul2 kernel: ide-cd cdrom soundcore autofs eepro100 ipchains s
text3 jbd sym53c8xx cciss sd
Sep 12 07:36:07 seoul2 kernel: CPU:    1
Sep 12 07:36:07 seoul2 kernel: EIP:    0010:[<f88590e4>]    Not tainted
Sep 12 07:36:07 seoul2 kernel: EFLAGS: 00010286
Sep 12 07:36:07 seoul2 kernel:
Sep 12 07:36:07 seoul2 kernel: EIP is at journal_commit_transaction [jbd] 0xb04
(2.4.18-3smp)
Sep 12 07:36:07 seoul2 kernel: eax: 0000001c   ebx: 0000000a   ecx: c02eee60   e
dx: 00003736
Sep 12 07:36:07 seoul2 kernel: esi: e5be6fd0   edi: f769f980   ebp: f7106000   e
sp: f7107e78
Sep 12 07:36:07 seoul2 kernel: ds: 0018   es: 0018   ss: 0018
Sep 12 07:36:07 seoul2 kernel: Process kjournald (pid: 17, stackpage=f7107000)
Sep 12 07:36:07 seoul2 kernel: Stack: f885feee 00000217 f5fd6000 00000000 00000f
84 c87fd07c 00000000 d3560d40
Sep 12 07:36:07 seoul2 kernel:        e5be67f0 00000c0e f7dd0304 f7fd1180 c00206
d8 c6013380 eafe1e60 db770180
Sep 12 07:36:07 seoul2 kernel:        e72b1980 e72b1ec0 e72b1c80 efa36cc0 e8c998
60 e8c99ce0 d9ff5780 e0e6ccc0
Sep 12 07:36:07 seoul2 kernel: Call Trace: [<f885feee>] .rodata.str1.1 [jbd] 0x2
6e
Sep 12 07:36:07 seoul2 kernel: [<c01818a2>] add_interrupt_randomness [kernel] 0x
22
Sep 12 07:36:07 seoul2 kernel: [<c010a556>] handle_IRQ_event [kernel] 0x76
Sep 12 07:36:07 seoul2 kernel: [<c0119048>] schedule [kernel] 0x348
Sep 12 07:36:07 seoul2 kernel: [<f885b7d6>] kjournald [jbd] 0x136
Sep 12 07:36:07 seoul2 kernel: [<f885b680>] commit_timeout [jbd] 0x0
Sep 12 07:36:07 seoul2 kernel: [<c0107286>] kernel_thread [kernel] 0x26
Sep 12 07:36:07 seoul2 kernel: [<f885b6a0>] kjournald [jbd] 0x0
Sep 12 07:36:07 seoul2 kernel:
Sep 12 07:36:07 seoul2 kernel:
Sep 12 07:36:07 seoul2 kernel: Code: 0f 0b 5a 59 6a 04 8b 44 24 18 50 56 e8 4b f
1 ff ff 8d 47 48
Comment 1 Seonghun, Lee 2002-09-12 22:35:50 EDT
Created attachment 76024 [details]
This file include more system info and log message under /var/log
Comment 2 Stephen Tweedie 2002-09-13 10:34:49 EDT
Fixed in all 7.3 errata kernels.  Please see

    http://rhn.redhat.com/errata/RHBA-2002-085.html
Comment 3 Seonghun, Lee 2002-09-23 22:27:11 EDT
I had updated kernel-2.4.18-10(RHSA-2002:158) with your errata site. 
But occured same status on Sep 21.
I guess that this bug is related ext3(jbd), 
so i have rebooted system with ext2.
now, waiting for the result.
Comment 4 Stephen Tweedie 2002-09-24 06:45:35 EDT
When it recurred, what was the exact kernel oops message?
Comment 5 Alan Cox 2003-06-09 09:16:04 EDT
No reply in months. Closing

Note You need to log in before you can comment on or make changes to this bug.